@import url(./reset.css);
@import url(./utility.css);

/* Header */
.header {
    background-color: var(--off-white);
    z-index: 11111;
}
.header .navbar {
    padding-top: 15px ;
    padding-bottom: 15px;
}
.header .navbar-brand {
    padding-top: 20px;
    padding-bottom: 20px;
}
.header .navbar-brand img {
    max-height: 18px;
    width: 128px;
    object-fit: cover;
}
.header .navbar-nav{
    align-items: center;
    gap: 1.5rem;
}
.header .nav-link {
    font-family: var(--text-font);
    font-size: .9rem;
    font-weight: 400;
    line-height: 1.5em;
    letter-spacing: .02em;
    padding-top: 16px;
    padding-bottom: 16px;
    padding-right: 0 !important;
    padding-left: 0 !important;
}
.header .navbar-toggler {
    /* reset boostrap */
    padding: 5px;
    border: none;
    /* style */
    position: relative;
    width: 28px;
    height: 28px;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}
.header .navbar-toggler:focus {
    box-shadow: none;
}
.header .navbar-toggler-icon {
    /* reset boostrap */
    background: none;
    /* style */
    position: absolute;
    height: 1px;
    width: 100%;
    background-color: #333;
    transition: transform .3s ease;
}
.header .navbar-toggler-icon:first-child {
    transform: translateY(-8px);
}
.header .navbar-toggler-icon:last-child {
    transform: translateY(8px);
}
.header .navbar-toggler[aria-expanded = true] .navbar-toggler-icon:first-child {
    transform: rotate(-45deg);
}
.header .navbar-toggler[aria-expanded = true] .navbar-toggler-icon:nth-child(2) {
    transform: translateX(100%)
}
.header .navbar-toggler[aria-expanded = true] .navbar-toggler-icon:last-child {
    transform: rotate(45deg);
}

/* Hero Banner */
.hero-banner {
    background-color: var(--off-white);
    padding-top: 8rem;
    padding-bottom: 4rem;
    z-index: 1;
}
.hero-banner .hero-title {
    padding-bottom: 184px;
}
.hero-banner .hero-title-heading {
    margin-bottom: 24px;
}
/* .hero-banner .hero-title-paragraph {
    padding-bottom: 24px;
} */
/* .hero-banner .hero-c-to-a-button {
    margin-top: 24px;
} */
.hero-banner .hero-right-image {
    position: absolute;
    display: flex;
    justify-content: start;
    align-items: center;
    max-height: 85%;
    height: 100%;
    width: 40%;
    z-index: -1;
    overflow: hidden;
}
.hero-banner .hero-right-image img{
    max-width: 750px;
    width: 100%;
    object-fit: cover;
}

/* Promotion Section */
.promotion-section .promotion-title {
    margin-bottom: 3rem;
}
.promotion-section .promotion-section-row {
    --bs-gutter-x: 2.5rem;
    --bs-gutter-y: 2.5rem;
}
.promotion-section .promotion-card {
    position: relative;
    background-color: var(--off-white);
    border-radius: 1.5rem;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    z-index: 1;
    height: 100%;
}
.promotion-section .promotion-card-large {
    padding: 3rem;
    min-height: 700px;
    justify-content: space-between;
}
.promotion-section .p-card-bg {
    position: absolute;
    height: 100%;
    width: 100%;
    inset: 0%;
    z-index: -1;
    object-fit: cover;
}
.promotion-section .p-card-body {
    padding: 1.5rem;
    border-radius: 1.5rem;
}
.promotion-section .p-card-body-text {
    background-color: var(--card-gray);
}
.promotion-section .p-card-body-wrapper {
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}
.promotion-section .p-card-image {
    max-height: 14.125rem;
    width: 100%;
}
.promotion-section .p-card-image img {
    position: relative;
    height: 100%;
    width: 100%;
    object-fit: cover;
}
.promotion-section .promotion-card.card-black {
    background-color: var(--black);
    color: white;
}
.promotion-section .promotion-card.card-black .paragraph-sm {
    color: white;
}
/* Test Section */
.test-section {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 50vw;
    background: linear-gradient(rgba(0,0,0,0.6), rgba(0,0,0,0.6)), url(../image/flying-2-bw.jpeg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}
.test-section .intro-text {
    letter-spacing: 1.648px;
    font-size: calc(1vh + 2.5rem);
    font-weight: 300;
    line-height: 1.25em;
    position: relative;
}
/* Advertisement Section */
.advertisement-section .advertisement-section-title-row {
    --bs-gutter-x : 3rem;
}
.advertisement-section .image-carousel-wrapper {
    margin-top: 4rem;
    align-items: center;
    justify-content: space-between;
    width: 125vw;
    padding: 0 20px;
}
.advertisement-section .image-carousel {
    aspect-ratio: 3/2;
    border-radius: 1rem;
    object-fit: cover;
    width: 32.5%;
}
/* Feature Section */
.feature-section .feature-section-row,
.our-mission-section .our-mission-section-row  {
    --bs-gutter-x : 4rem;
}
.feature-section .feature-content {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.feature-section .feature-section-title {
    max-width: 30rem;
}
.feature-section .feature-list-wrapper {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}
.feature-section .feature-list-item {
    align-items: baseline;
    gap: 1rem;
}
.feature-section .feature-list-icon {
    width: 1.25rem;
    max-width: none;
}
.feature-section .feature-image,
.our-mission-section .our-mission-image {
    aspect-ratio: 6 / 7;
    object-fit: cover;
    border-radius: 1.5rem;
    width: 100%;
    position: relative;
}
.feature-section .feature-list-gray-card {
    padding: 24px;
    background-color: var(--card-gray);
    border-radius: 1rem;
}
/* News Section */
.news-section .news-section-card-row {
    --bs-gutter-x : 3rem;
    /* --bs-gutter-y : 3rem; */
    margin-top: 2.5rem;
}
.news-section .news-section-card {
    display: flex;
    color: #d4d4d4;
    text-decoration: none;
    aspect-ratio:  4/5;
    border-radius: 1rem;
    /* z-index: 1; */
    overflow: hidden;
    transition: transform .5s ease;
}
.news-section .news-section-card:hover {
    transform: translateY(-.5rem);
}
.news-section .news-card-image-wrapper {
    z-index: -1;
}
.news-section .news-card-image {
    object-fit: cover;
}
.news-section .news-card-body {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 1.5rem;
    width: 100%;
    background: linear-gradient(180deg,#010002,#fff0 25%,#fff0 75%,#010002);
    transition: background .5s ease;
}
.news-section .news-section-card:hover .news-card-body {
    background-color: #0003;
}
.news-section .news-card-date-wrapper {
    display: flex;
    align-items: center;
    gap: .375rem;
    font-size: .875rem;
    letter-spacing: .702px;
}
.news-section .news-card-date-wrapper .news-dot {
    display: block;
    background-color: #d4d4d4;
    height: 6px;
    width: 6px;
    border-radius: 100%;
}
.news-section .news-heading {
    color: var(--off-white);
    margin-bottom: .5rem;
    font-size: 1.25rem;
    font-weight: 500;
    line-height: 1.25em;
    letter-spacing: .841px;
}
/* CTA Section */
.cta-section {
    background-image: linear-gradient(rgba(0,0,0,0.6),rgba(0,0,0,0.6)), url(../image/plane-black-background.jpeg);
    background-size: cover;
    background-position: center;
    min-height: 50vw;
}
.cta-section .cta-section-title .heading-2-caps,
.cta-section .cta-section-title .paragraph {
    color: #fff;
    margin-bottom: .5rem;
}
/* Footer */
.footer {
    background-color: var(--card-gray);
    padding-top: 5.75rem;
    padding-bottom: 2rem;
}
.footer .footer-top {
    margin-bottom: 4rem;
}
.footer .footer-form{
    margin-bottom: .75rem;
    margin-left: 15px;
}
.footer .form-wrapper {
    display: flex;
    align-items: end;
    gap: 16px;
    margin-bottom: 16px;
}
.footer .input-field {
    width: 100%;
}
.footer .footer-main {
    margin-bottom: 3rem;
}
.footer .footer-enquiry {
    margin-right: 20px;
}
.footer .footer-logo {
    display: flex;
    max-width: 10rem;
    width: 100%;
    margin-bottom: 2.5rem;
}
.footer .footer-logo img {
    width: 100%;
}
.footer .footer-title {
    margin-bottom: 1rem;
    font-size: 1.25rem;
    font-weight: 500;
    line-height: 1.5rem;
    letter-spacing: .845px;
}
.footer .footer-social {
    margin-top: 1.5rem;
}
.footer .footer-social-list {
    gap: 1rem;
}
.footer .footer-social-link {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 3rem;
    height: 3rem;
    padding: 1rem;
    background-color: #e6e6e6;
    border-radius: 100%;
    transition: background-color .2s ease;
}
.footer .footer-social-link:hover {
    background-color: #C5C5C5;
}
.footer .footer-list-heading {
    font-weight: 600;
    margin-bottom: 1rem;
}
.footer .footer-list-link{
    position: relative;
    display: inline-flex;
    font-size: 1.1rem;
    color: var(--black);
    text-decoration: none;
    font-weight: 500;
    line-height: 1.4rem;
    padding: .5rem 0;
    letter-spacing: .79px;
}
.footer .footer-list-link::after {
    content: "";
    position: absolute;
    height: 1px;
    width: 100%;
    bottom: 0;
    left: 0;
    background-color: var(--black);
    transform: translateY(0%);
    opacity: 0;
    transition: all .2s ease;
}
.footer .footer-list-link:hover::after {
    transform: translateY(-7px);
    opacity: 1;
}
.footer .footer-bottom-list {
    gap: 1.25rem;
}
.footer .footer-bottom-link {
    color: var(--black);
    font-size: 1rem;
    line-height: 1.5rem;
    text-decoration: none;
    letter-spacing: .83px;
}
.footer .footer-bottom-link:hover {
    color: var(--black);
    text-decoration: underline;
}
